View Issue Details

IDProjectCategoryView StatusLast Update
0002953FreeCADBugpublic2017-03-27 17:27
ReporternemesisAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSEl CapitanOS Version10.11.6
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002953: Icons not rendered on New doc
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=3&t=21102
Steps To ReproduceWhen I create a New document, without a selected workbench, the icons are not visible until I drag the mouse over the tool bars
Sorry, the Gif is awful, but the bug is visible.
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=3&t=21102
TagsMacOSX, Qt5

Relationships

related to 0002868 closed Port QtWebKit to QtWebEngine 
child of 0002986 closedwmayer Port from Qt4 to Qt5 (Ongoing) 

Activities

Kunda1

2017-03-09 23:45

administrator   ~0008598

Linking to 0002868

blacey

2017-03-21 17:02

developer   ~0008680

Last edited: 2017-03-21 17:03

View 2 revisions

Confirmed as resolved by PR-635

Related Changesets

FreeCAD: master c193dbe2

2017-03-21 16:36:53

wmayer

Details Diff
enable FREECAD_USE_QTOPENGL_WIDGET by default for Qt5, fixes 0002952, fixes 0001401 Affected Issues
0001401, 0002942, 0002952, 0002953, 0002986
mod - CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2017-03-07 12:29 nemesis New Issue
2017-03-07 12:29 nemesis Tag Attached: MacOSX
2017-03-07 12:29 nemesis Tag Attached: Qt5
2017-03-09 23:43 Kunda1 Relationship added related to 0002868
2017-03-09 23:45 Kunda1 Note Added: 0008598
2017-03-21 17:02 blacey Note Added: 0008680
2017-03-21 17:03 blacey Note Edited: 0008680 View Revisions
2017-03-21 19:47 wmayer Changeset attached => FreeCAD master c193dbe2
2017-03-21 19:49 wmayer Status new => closed
2017-03-21 19:49 wmayer Resolution open => fixed
2017-03-21 19:49 wmayer Fixed in Version => 0.17
2017-03-27 17:27 Kunda1 Relationship added child of 0002986